sasl_server_step(10 July 2001)

NAME
sasl_server_step - Perform a step in the authentication negotiation

SYNOPSIS
#include <sasl/sasl.h>

int sasl_server_step(sasl_conn_t *conn,
		          const char *clientin,
		          unsigned clientinlen,
	        	  const char ** serverout,
		          unsigned * serveroutlen);

DESCRIPTION
sasl_server_step() performs a step in the authentication negotiation. It returns SASL_OK if the whole negotiation is successful and SASL_CONTINUE if this step is ok but at least one more step is needed.

conn is the SASL connection context

clientin is the data given by the client (decoded if the protocol encodes requests sent over the wire) clientinlen is the length of clientin

serverout and serveroutlen are set by the library and should be sent to the client.

RETURN VALUE
sasl_server_step returns an integer which corresponds to one of the SASL error codes. SASL_CONTINUE indicates success and that there are more steps needed in the authentication. SASL_OK indicates that the authentication is complete. All other return codes indicate errors and should either be handled or the authentication session should be quit.

CONFORMING TO
RFC 2222

SEE ALSO
sasl(3), sasl_errors(3), sasl_server_init(3), sasl_server_new(3), sasl_server_start(3)